xmltooling 3.2.4

Classes | Namespaces | Macros
XMLObjectChildrenList.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/exceptions.h>`
`#include <xmltooling/XMLObject.h>`
`#include <list>`
Include dependency graph for XMLObjectChildrenList.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | xmltooling::XMLObjectChildrenIterator< Container, _Ty >
| STL iterator that mediates access to an iterator over typed XML children. More...
class | xmltooling::XMLObjectChildrenList< Container, _Ty >
| STL-compatible container that mediates access to underlying lists of typed XML children. More...
class | xmltooling::XMLObjectPairList< Container, _Ty >
| STL-compatible container that mediates access to underlying lists of typed XML children that come in pairs. More...

## Namespaces
namespace | xmltooling
| Public namespace of XML Tooling library.

## Macros
#define | VectorOf(type) xmltooling::XMLObjectChildrenList< std::vector<type*> >
| Shorthand for an XMLObjectChildrenList wrapped around a vector.
#define | ListOf(type) xmltooling::XMLObjectChildrenList< std::list<type*> >
| Shorthand for an XMLObjectChildrenList wrapped around a list.
#define | DequeOf(type) xmltooling::XMLObjectChildrenList< std::deque<type*> >
| Shorthand for an XMLObjectChildrenList wrapped around a deque.
#define | VectorOfPairs(type1, type2) xmltooling::XMLObjectPairList< std::vector< std::pair<type1*,type2*> > >
| Shorthand for an XMLObjectPairList wrapped around a vector.
#define | ListOfPairs(type1, type2) xmltooling::XMLObjectPairList< std::list< std::pair<type1*,type2*> > >
| Shorthand for an XMLObjectPairList wrapped around a list.
#define | DequeOfPairs(type1, type2) xmltooling::XMLObjectPairList< std::deque< std::pair<type1*,type2*> > >
| Shorthand for an XMLObjectPairList wrapped around a deque.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

STL-compatible container wrapper.

## Macro Definition Documentation

## ◆ DequeOf

#define DequeOf | ( |  | type | ) | xmltooling::XMLObjectChildrenList< std::deque<type*> >

Shorthand for an XMLObjectChildrenList wrapped around a deque.

Parameters

  type | the type of object in the deque

## ◆ DequeOfPairs

#define DequeOfPairs | ( |  | type1,
|  |  | type2 ) xmltooling::XMLObjectPairList< std::deque< std::pair<type1*,type2*> > >

Shorthand for an XMLObjectPairList wrapped around a deque.

Parameters

  type1 | the first type of object in the vector
  type2 | the second type of object in the vector

## ◆ ListOf

#define ListOf | ( |  | type | ) | xmltooling::XMLObjectChildrenList< std::list<type*> >

Shorthand for an XMLObjectChildrenList wrapped around a list.

Parameters

  type | the type of object in the list

## ◆ ListOfPairs

#define ListOfPairs | ( |  | type1,
|  |  | type2 ) xmltooling::XMLObjectPairList< std::list< std::pair<type1*,type2*> > >

Shorthand for an XMLObjectPairList wrapped around a list.

Parameters

  type1 | the first type of object in the vector
  type2 | the second type of object in the vector

## ◆ VectorOf

#define VectorOf | ( |  | type | ) | xmltooling::XMLObjectChildrenList< std::vector<type*> >

Shorthand for an XMLObjectChildrenList wrapped around a vector.

Parameters

  type | the type of object in the vector

## ◆ VectorOfPairs

#define VectorOfPairs | ( |  | type1,
|  |  | type2 ) xmltooling::XMLObjectPairList< std::vector< std::pair<type1*,type2*> > >

Shorthand for an XMLObjectPairList wrapped around a vector.

Parameters

  type1 | the first type of object in the vector
  type2 | the second type of object in the vector